---

# Version of the docker image to be deployed
kitt_imager_image_version: 1.12.0

# Amount of time in seconds to be used for avoiding frequent imaging.
image_threshold_in_seconds: "{{ 60 * 60 * 15 }}"

# Amount of time in seconds to wait before start of next iteration of scanning
sleep_duration_per_iteration_in_secs: 30

# Token to be used by the watcher bot to communicate with slack.
kitt_imager_slack_api_token: "{{ lookup('hashi_vault', 'secret=secret/cobbler_slack_upload_token').value }}"

# Channel to be used by the watcher bot to communicate with slack
kitt_imager_slack_channel: "knight_industries"

# Branch info service url
kitt_imager_branch_info_service: "http://ki-branch-info.zooxlabs.com/"

# KI status service url
kitt_imager_status_service: "http://ki-status.zooxlabs.com/"

# Default log level
kitt_imager_log_level: "INFO"

# Disable network daemon by default
kitt_imager_network_daemon_enabled: "False"

# ping check time after the imaging kickoff
kitt_imager_ping_check_seconds: "{{ 6 * 60 }}"

# ssh check time after imaging kickoff
kitt_imager_ssh_check_seconds: "{{ 28 * 60 }}"

# cobbler user password
kitt_imager_cobbler_ldap_password: "{{ lookup('hashi_vault', 'secret=secret/cobbler').ldap_password }}"
